:root{
    --container-background: black;
    --body-background-color: lightgrey;
    --imageBorder: black;
    /*--background-marker-1: rgb(220, 200, 255);
    --background-marker-2: rgb(200, 220, 255);*/
    --background-marker-1: white;
    --background-marker-2: lightgrey;

    --section-width: 80%;
}

html {
    font-size: 16px;
}

body{
    background-color: var(--body-background-color);
    margin: 0;
    display: flex;
    flex-direction: column;
}

.Header {
    font-size: 3rem;
    font-weight: bold;
    margin: 2rem 1rem 1rem;
}

.Title1 {
    font-size: 2rem;
    font-weight: bold;
    margin: 1rem 1rem 0rem;
}

.Title2 {
    font-size: 1.5rem;
    font-weight: bold;
    margin: 1rem 1rem 0rem;
}

.Title2Hyperlink {
    display: block;
    font-size: 1.5rem;
    font-weight: bold;
    margin: 1rem 1rem 0rem;
}

.Text {
    font-size: 1.5rem;
    margin: 1rem 1rem 0rem;
}

.navText{
    font-size: 3rem;
}

.nav{
    background-color: var(--background-marker-1);
    position: sticky;
    top: 0;
    display: flex;
    justify-content: space-evenly;
}

.IntroductionContainer {
    width: var(--section-width);
    align-self: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--background-marker-2)
}

.IntroductionImage{
    width: 40rem;
    height: 40rem;
    object-fit: cover;
    border: 5px solid var(--imageBorder);
    border-radius: 20rem;
    border-color: black;
}

.IntroductionGridOuter{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    padding: 1rem;
}

.IntroductionFlexInner{
    display: flex;
    flex-direction: column;
}

.IntroductionFlexList{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

/*resume border*/
.ResumeContainer{
    width: var(--section-width);
    align-self: center;
    background-color: var(--background-marker-1);
}

.ResumeList {
    font-size: 1.5rem;
    margin: 1rem 1rem 0rem;
}

.ResumeGridOuter{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    padding: 1rem;
}

.ResumeFlexInner{
    display: flex;
    flex-direction: column;
}

.AboutContainer{
    width: var(--section-width);
    align-self: center;
    background-color: var(--background-marker-2);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.AboutImage{
    width: 40rem;
    height: 40rem;
    object-fit: cover;
    border: 5px solid var(--imageBorder);
    border-radius: 50%;
    border-color: black;
    margin: 1rem;
}

@media (max-width: 1200px) {
    .IntroductionContainer{
        width: 100%;
        align-self: center;
        font-size: 2rem;
    }

    .IntroductionGridOuter{
        display: grid;
        grid-template-columns: 1fr;
        padding: 1rem;
        background-color: var(--background-marker-1);
    }
    
    .ResumeContainer{
        width: 100%;
        align-self: center;
        font-size: 2rem;
    }
    .AboutContainer{
        width: 100%;
        align-self: center;
        font-size: 2rem;
    }
}